2012-02-01  Zefram  <zefram@fysh.org>

	* Don't declare "tan" operator overloading on Math::Complex
	  objects, because there is no such overloading type [rt.cpan.org
	  #74288].

	* Remove execute bit from test scripts in CPAN tarball.

	* Release Math::Complex 1.59 + Math::Trig 1.23.

2011-06-21  Zefram  <zefram@fysh.org>

	* Declare package variables with "our" rather than "use vars".

	* Corresponding to "our" usage, check for minimum Perl version
	  5.006.

	* Remove $ENV{PERL_CORE} logic from test suite, which is no
	  longer desired in the core.

	* In test suite, remove obsolete and now-incomplete handling of
	  unavailability of Test::More.

	* Declare module dependencies.

	* Release Math::Complex 1.58 + Math::Trig 1.22.

2011-05-03  Zefram  <zefram@fysh.org>

	* Add copy constructor and arrange for it to be called
	  appropriately, problem found by David Madore and Alexandr
	  Ciornii.

	* Correctly format polarwise when a numeric format specifier is
	  given, problem found by TomC.

	* More stable great_circle_direction algorithm, problem found
	  by Daniel Burr.

	* Release Math::Complex 1.57 + Math::Trig 1.21.

2009-02-08  Jarkko Hietaniemi  <jhi@iki.fi>

	* Fix qw(abs cos exp log sin sqrt) without argument, problem
	  found by Steffen Mueller, 5.10-aware (lexical $_) fix by Abigail.
	
	* Release Math::Complex 1.56 + Math::Trig 1.20.
	
2008-12-27  Jarkko Hietaniemi  <jhi@iki.fi>

	* Resolve rt.cpan.org report: 
	  "#39045: great_circle_direction gives wrong answer if 5th argument is supplied"
	  by calling great_circle_distance() with an explicit argument
	  list in great_circle_direction().
	
	* Release Math::Complex 1.55 + Math::Trig 1.19.
	
2008-04-04  Jarkko Hietaniemi  <jhi@iki.fi>

	* The SIGFPE catcher in Complex.pm and Trig.t was { }, not sub { }.

	* Shuffle the Inf-guessing guesses a bit to try infinities first,
	  and also 2**99999 before exp(99999), seems to be more reliable
	  for generating the infinity for some odd reason (the ** is
	  implemented via exp() anyway?)
	
	* In cosh() and sinh() more robustly produce Inf() when needed,
	  even when exp() seems to "stick" into DBL_MAX and not go to Inf.
	
	* Release Math::Complex 1.54 + Math::Trig 1.18.
	
2008-04-01  Jarkko Hietaniemi  <jhi@iki.fi>

	* Resolved rt.cpan.org report:
	  "#34605: Math::Trig(3pm) man page feedback"
	  (Trig.pm talked of "arcus hyperbolic sine", which is wrong,
	   it is either "area hyperbolic sine" or "inverse hyperbolic sine")

	* Tweaked also the code comments a bit to speak consistently of
	  "area/inverse hyperbolic ..."

	* Resolved rt.cpan.org report:
	  "#34269: Math::Trig::great_circle_destination"
	  (One cannot combine the results great_circle_distance(A, B) and
	   great_circle_direction(A, B) to get great_circle_destination(A, ...)
	   to return B, because the bearing keeps changing in the general case)
	
	* Release Math::Complex 1.53 + Math::Trig 1.17.
	
2008-02-11  Jarkko Hietaniemi  <jhi@iki.fi>

	* Duh. Forgot 128-bit option from the %DBL_MAX table.

	* Release Math::Complex 1.52 + Math::Trig 1.16.
	
2008-02-10  Jarkko Hietaniemi  <jhi@iki.fi>

	* Make the nv max detection to work also with
	  long doubles, reported by Nicholas Clark
	  [core perl change #33268]

	* Release Math::Complex 1.51 + Math::Trig 1.15.
	  (1.50 skipped because of "1.5" idiocy.)
	
2008-04-04  Jarkko Hietaniemi  <jhi@iki.fi>

	* The debugging output in Complex.pm BEGIN was not nice:
	  remove that, resolving rt.cpan.org #32919.

	* Make the detecting of Infinity even more relaxed:
	  just be happy with defined() and "big enough".
	  (Switch the '1e999' as last resort, though.)
	
	* Release Math::Complex 1.49 + Math::Trig 1.14.
	
2008-01-29  Jarkko Hietaniemi  <jhi@iki.fi>

	* In HP-UX the infinity is stringified as "++" and
	  the negative infinity as "--", fix from H. Merijn Brand.
	
	* Release Math::Complex 1.48 + Math::Trig 1.13.
	
2008-01-16  Jarkko Hietaniemi  <jhi@iki.fi>

	* The great circle tests with small angles didn't work
	  with long doubles in Mac OS X, reported by conrad.
	  Oh, the joy of floating point.  Fudged the test hopefully enough.
	  Could special case going from point A to point A,
	  but that would be cheating.  (For really small movements
	  could also just do Pythagorean plane distance.)
	
	* Release Math::Complex 1.47 + Math::Trig 1.12.
	
2008-01-16  Jarkko Hietaniemi  <jhi@iki.fi>

	* Fix a typo in the asin_real/acos_real documentation
	  noticed by Alexej Sveshnikov.
	
	* Release Math::Complex 1.46 + Math::Trig 1.11.
	
2008-01-15  Jarkko Hietaniemi  <jhi@iki.fi>

	* Address [rt.cpan.org #32291] Wrong (Math::Complex) results in great_circle family of functions
	  Fix gratefully received from the reporter of the bug,
	  Alexej Sveshnikov.

	* Added the two new interfaces added by the fix for the
	  rt.cpan.org #32291, asin_real() and acos_real(), also
	  to the public interface.
	
	* Release Math::Complex 1.45 + Math::Trig 1.10.
	
2008-01-11  Jarkko Hietaniemi  <jhi@iki.fi>

	* Address rt.cpan.org #27186: Shadowed By the Core Version
	  by adding INSTALLDIRS => 'perl' to Makefile.PL.
	
	* Ignore SIGFPE in Trig.t when doing arithmetics with
	  infinities (avoids a coredump in netbsd-alpha, found
	  by David Cantrell).  Document this fun.

	* Make Math::Complex and Math::Trig documentations to
	  refer to each other.
	
	* Release Math::Complex 1.44 + Math::Trig 1.09.
	
2008-01-09  Jarkko Hietaniemi  <jhi@iki.fi>

	* sinh(1e4) was not enough to go to infinity in AMD64
	  with long doubles (sinh(1e5) was), and test.pl:is()
	  didn't work for infinities (subtle overloading issue.)
	  Fix from Nicholas Clark.
	
	* Release Math::Complex 1.43 + Math::Trig 1.08.
	
2008-01-07  Jarkko Hietaniemi  <jhi@iki.fi>

	* The infinity detection was wrong for Microsoft libc,
	  there infinity is '1.#INF'.  Now made the detection
	  hopefully much more robust.
	
	* Release Math::Complex 1.42 + Math::Trig 1.07.
	
2008-01-06  Jarkko Hietaniemi  <jhi@iki.fi>

	* PAUSE upload had some issues which messed up 1.39 upload,
	  reissue after reviewing (and fixing) the diffs.
	
	* Release Math::Complex 1.41 (1.40 skipped because
	  of silly "1.4.tar.gz" feature) + Math::Trig 1.07.
	  [deleted from CPAN because broken in Win32]
	
2008-01-06  Jarkko Hietaniemi  <jhi@iki.fi>

	* Add the standard "same terms as Perl itself" license
	  to both Complex.pm and Trig.pm.

	* Add Inf() as an exportable sub, it returns the infinity
	  (or the best floating double imitation of it).

	* Make the BEGIN block of Complex.pm croak if it cannot
	  find an infinity.  This may be deadly on some platforms
	  but then again, Complex.pm has returned infinities for
	  quite some time now.
	
	* tanh(a big enough number) was returning NaN in Unix and 1+NaN
	  in Windows when the right answer is 1 (for IEEE doubles
	  the limit seemed to be 709 vs 710).  Added tests for
	  sinh/cosh/tanh/sech/csch for 100/-100, and for sinh/cosh
	  with 1e4 returning Inf().  Reported by Roberto Congiu.

	* Added sanity check tests to Trig.t for all the trigonometric
	  and hyperbolic functions (staying in real axis, not going to
	  complex plane).
	
	* Release Math::Complex 1.39 + Math::Trig 1.06.
	  [deleted from CPAN because of PAUSE upload problems]
	
2007-12-30  Jarkko Hietaniemi  <jhi@iki.fi>

	* The example for great_circle_waypoint() had latitude and
	  longitude switched; reported by Chris Heys.
	
	* Cosmetic changes in test files.
	
	* Release Math::Complex 1.38 + Math::Trig 1.05.
	
2007-01-21  Jarkko Hietaniemi  <jhi@iki.fi>

	* great_circle_waypoint() was broken (the latitudes
	  were garbage); report and fix by Uwe Girlich.
	
	* local()ize $! in the BEGIN block when looking for Inf.
	
	* Release Math::Complex 1.37.
	
2006-07-04  Jarkko Hietaniemi  <jhi@iki.fi>

	* Move the pi-constants from Math::Trig to Math::Complex.

	* Hide some of the internal-use-only functions/methods
	  by prepending an underscore to the names.

	* Update Dan Lewart's email address.
	
	* Introduce pod.t and pod-coverage.t; make the tests
	  to be correctly skipped if Test::More or Test::Pod::Coverage
	  are not available.

	* Tiny doc tweaks.

	* Add a TODO file.
	
	* Grab the Math::Complex and Math::Trig changes from
	  the Perl 5 Perforce repository (see below).
	
	* CPAN release Math::Complex 1.36 + Math::Trig 1.04. 
	
Changes below this are changes of the Perl 5 Perforce repository
that somehow touched Math::Complex, Math::Trig, and/or their tests.	
They brought Math::Complex to 1.35 and Math::Trig to 1.03,
after which Math::Complex and Math::Trig were CPANized as 1.36 and 1.04.
	
	[26219] on 2005/11/28 by stevep@stevep-mccoy

	Subject: [PATCH] Math::Trig: blead and maint (doc patch only): s/Bay/Gulf/ and do away with bad quotes
	From: jhi@cc.hut.fi (Jarkko Hietaniemi)
	Date: Sun, 27 Nov 2005 23:04:31 +0200 (EET)
	Message-Id: <20051127210431.F1D2C6CF55@ugli.hut.fi>
	
	[25414] on 2005/09/14 by rgs@bloom

	Subject: [PATCH] Math::Complex and Math::Trig updates (Re: [perl #37117] Math::Complex atan2 bug)
	From: Jarkko Hietaniemi <jhietaniemi@gmail.com>
	Date: Wed, 14 Sep 2005 09:26:11 +0300
	Message-ID: <4327C283.80706@gmail.com>
	
	[19376] on 2003/05/02 by jhi@kosh

	great_circle_direction() was broken,
	reported by Alexander Becher.
	
	[18412] on 2003/01/03 by hv@hv-crypt.org

	Integrate from maint-5.8 #18348:
	Make Math::Trig a little bit more better behaved module citizen.
	
	[17197] on 2002/06/12 by jhi@alpha

	Test relying on undefined behaviour of atan2(0, 0)
	(valiantly debugged by Mark Lutz).
	
	[14508] on 2002/01/31 by jhi@alpha

	Daniel S. Lewart adopts the Math::Complex.
	
	[14507] on 2002/01/31 by jhi@alpha

	More Complex DWIMmery.
	
	[12954] on 2001/11/12 by jhi@alpha

	Subject: [PATCH] a few typo fixes 
	From: Jeffrey Friedl <jfriedl@yahoo.com>
	Date: Sun, 11 Nov 2001 21:15:18 -0800 (PST)
	Message-Id: <200111120515.fAC5FIc74795@ventrue.corp.yahoo.com>
	
	Patching README.foo instead of pod/perlfoo.pod,
	not patching Math::BigInt (Tels will take care of that),
	dropping broken hv.c and sv.h patches, patching libnetcfg.PL
	and perldoc.PL instead of libnetcfg and perldoc, patching
	ext/Digest/MD5/t/files.t since MD5.pm was changed.
	
	[12113] on 2001/09/21 by ams@ams-lustre

	Subject: [PATCH] avoid v-strings with require/use
	From: Ronald J Kimball <rjk@linguist.Thayer.dartmouth.edu>
	Date: Fri, 21 Sep 2001 12:34:40 -0400
	Message-Id: <20010921123440.A148500@linguist.thayer.dartmouth.edu>
	
	[12041] on 2001/09/16 by jhi@alpha

	Change use|require 5.005_64 to use|require 5.6.1.
	
	[11016] on 2001/06/29 by jhi@alpha

	Bump up the VERSIONs of modules that have changed since 5.6.0,
	the modules found using a script written by Larry Schatzer Jr.
	
	[10676] on 2001/06/18 by jhi@alpha

	The Grand Trek: move the *.t files from t/ to lib/ and ext/.
	No doubt I made some mistakes like missed some files or
	misnamed some files.  The naming rules were more or less:
	(1) if the module is from CPAN, follows its ways, be it
	    t/*.t or test.pl.
	(2) otherwise if there are multiple tests for a module
	    put them in a t/
	(3) otherwise if there's only one test put it in Module.t
	(4) helper files go to module/ (locale, strict, warnings)
	(5) use longer filenames now that we can (but e.g. the
	    compat-0.6.t and the Text::Balanced test files still
	    were renamed to be more civil against the 8.3 people)
	installperl was updated appropriately not to install the
	*.t files or the help files from under lib.
	
	TODO: some helper files still remain under t/ that could
	follow their 'masters'.	 UPDATE: On second thoughts, why
	should they.  They can continue to live under t/lib, and
	in fact the locale/strict/warnings helpers that were moved
	could be moved back.  This way the amount of non-installable
	stuff under lib/ stays smaller.
	
	[9504] on 2001/04/01 by jhi@alpha

	Add great_circle_direction().
	
	[9007] on 2001/03/03 by jhi@alpha

	Integrate change #9006 from maintperl to mainline,
	more robust quest for the infinite.
	
	[8722] on 2001/02/09 by jhi@alpha

	The Im() function wasn't returning zero for non-Math::Complex
	arguments.  The bug reported by John Gamble.
	
	[7561] on 2000/11/05 by jhi@alpha

	Add =pod to be tidy.
	
	[6857] on 2000/08/28 by jhi@alpha

	display_format used as a class method without arguments was broken,
	reported in
	
	Subject: Math::Complex->display_format() sets style to 'Math::Complex'
	From: Yasushi Nakajima <sey@san.p.kyoto.jkc.co.jp>
	Date: Mon, 28 Aug 2000 16:38:08 +0900 (JST)
	Message-Id: <200008280738.QAA00215@san.p.kyoto.jkc.co.jp>
	
	[6750] on 2000/08/21 by jhi@alpha

	Unicos/mk requires elaborate paranoia.
	
	[6689] on 2000/08/18 by jhi@alpha

	Fix the lib/complex failure of
	
	       From: abigail@foad.org
	       Subject: [ID 20000814.005] Not OK: perl v5.6.0 on i686-linux-64int 2.2.13       
	       Date: 15 Aug 2000 04:06:38 -0000
	       Message-Id: <20000815040638.8524.qmail@foad.org> 
	
	Linux long double accuracy issue: something that
	when printed with %g looks like "2" but int() of it is 1.
	
	[6827] on 2000/08/25 by jhi@alpha

	Support preserving extremely big/small angles.
	
	[6076] on 2000/05/06 by gsar@auger

	integrate cfgperl contents into mainline
	
	[5974] on 2000/04/27 by gsar@auger

	change#4197 somehow missed initializing PL_errors, meaning
	sytax error queueing wasn't working outside eval"" at all;
	also fixed eval"" to localize PL_error_count, so that compile-time
	eval's don't clobber the error state of the outer context
	
	[5954] on 2000/04/26 by gsar@auger

	integrate cfgperl contents into mainline
	
	[5641] on 2000/03/11 by gsar@auger

	integrate cfgperl contents into mainline
	
	[5611] on 2000/03/08 by gsar@auger

	integrate cfgperl changes into mainline
	
	[5507] on 2000/03/04 by gsar@auger

	more whitespace removal (from Michael G Schwern)
	
	[4874] on 2000/01/24 by gsar@auger

	fix typos; avoid use constant for lowercase constants (produces
	warnings now)
	
	[4860] on 2000/01/23 by gsar@auger

	s/use vars/our/g modules that aren't independently maintained on CPAN
	
	[4604] on 1999/12/01 by gsar@auger

	email address changes
	
	[4008] on 1999/08/20 by gsar@auger

	integrate cfgperl contents into mainline
	
	[2830] on 1999/02/08 by gsar@sparc26

	integrate cfgperl changes into mainline

	
	[2620] on 1999/01/17 by gsar@aatma

	integrate cfgperl changes into mainline, fix conflicts
	
	[2219] on 1998/11/08 by gsar@aatma

	integrate cfgperl changes into mainline
	
	[1760] on 1998/08/08 by gsar@aatma

	integrate maint-5.005 changes into mainline
	
	[1357] on 1998/07/07 by gsar@aatma

	doc tweaks suggested by Abigail, M.J.T. Guy, and Larry Wall
	
	[1267] on 1998/06/30 by gsar@aatma

	add patch to integrate Math::Trig::Radial into Math::Trig
		From: Jarkko Hietaniemi <jhi@iki.fi>
		Date: Mon, 29 Jun 1998 16:28:53 +0300 (EET DST)
		Message-Id: <199806291328.QAA16916@alpha.hut.fi>
		Subject: [PATCH] 5.004_68 (or 5.004_04): radial trig
	
	[1235] on 1998/06/28 by gsar@aatma

	Complex.pm update
		From: Jarkko Hietaniemi <jhi@iki.fi>
		Date: Wed, 24 Jun 1998 15:19:05 +0300 (EET DST)
		Message-Id: <199806241219.PAA04061@alpha.hut.fi>
		Subject: [PATCH] 5.004_68: Complex.pm, complex.t
	
	[476] on 1998/02/06 by mbeattie@localhost

	From: Jarkko Hietaniemi <jhi@iki.fi>
	Subject: [PATCH] almost OK: perl 5.00457 on i386-freebsd-thread 3.0
	Date: Wed, 4 Feb 1998 12:59:47 +0200 (EET)
	Subject: Re: [PATCH] 5.004_04 and 5.004_57: Complex.pm and complex.t 
	Date: Thu, 5 Feb 1998 18:08:20 +0200 (EET)
	
	[439] on 1998/01/27 by mbeattie@localhost

	Integrate ansi branch into mainline (resolve -ay).
	
	[296] on 1997/11/25 by mbeattie@localhost

	Integrate from ansi branch to mainline.
	
	[137] on 1997/10/16 by mbeattie@localhost

	Merge maint-5.004 branch (5.004_04) with mainline.
	
	[114] on 1997/10/08 by mbeattie@localhost

	Merge maint-5.004 branch (5.004_03) with mainline.
	MANIFEST is out of sync.
	
	[77] on 1997/09/29 by mbeattie@localhost

	Start merge with maint-5.004 branch by creating an ancestral
	branch point via a fake resolution with the maint-merge branch.
	See Perforce Tech Note 9 for details.
	
	[18] on 1997/05/25 by mbeattie@localhost

	First stab at 5.003 -> 5.004 integration.
	
	[1] on 1997/03/28 by mbeattie@localhost

	Perl 5.003 check-in

